Bug 706131 - print human better message than (res:N) when deleting the dump_dir
Summary: print human better message than (res:N) when deleting the dump_dir
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: abrt
Version: 15
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Denys Vlasenko
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: ABRTF17
TreeView+ depends on / blocked
 
Reported: 2011-05-19 15:17 UTC by Michal Hlavinka
Modified: 2012-04-18 22:58 UTC (History)
7 users (show)

Fixed In Version: abrt-2.0.10-1.fc17
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-04-18 22:58:48 UTC
Type: ---


Attachments (Terms of Use)

Description Michal Hlavinka 2011-05-19 15:17:35 UTC
Description of problem:
ABRT should help users without much knowledge to report problems with some apps, but when app crashes, sometimes abrt deletes core file and just reports:

> abrtd: Corrupted or bad dump foo (res:N), deleting

"res:N" is not helping to identify why abrt does not process that crash and just deletes core file. It makes support difficult

Version-Release number of selected component (if applicable):
abrt-2.0.2-5.fc15.x86_64

How reproducible:
sometimes

Steps to Reproduce:
unknown, just wait till some app crashes and abrt deletes core file
  
Actual results:
reason obfuscated :
> abrtd: Corrupted or bad dump foo (res:N), deleting

I've seen res:1,2,4 so far


Expected results:
reason explained

Comment 1 Denys Vlasenko 2011-12-07 13:16:24 UTC
Fixed in git:

commit 26a0f776d32d0d5be2e15abe781adf5a830c24cc
Author: Denys Vlasenko <dvlasenk@redhat.com>
Date:   Wed Dec 7 14:14:56 2011 +0100

    abrtd: always explain why we delete "corrupted" dir. Closes rhbz#706131.

    We were almost always explaining it, except for the case when
    'post-create' was failing silently.

Comment 2 Fedora Update System 2012-03-27 10:16:56 UTC
abrt-2.0.9-1.fc17, libreport-2.0.10-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/abrt-2.0.9-1.fc17,libreport-2.0.10-1.fc17

Comment 3 Fedora Update System 2012-03-28 05:57:47 UTC
Package abrt-2.0.9-1.fc17, libreport-2.0.10-1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing abrt-2.0.9-1.fc17 libreport-2.0.10-1.fc17'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-4804/abrt-2.0.9-1.fc17,libreport-2.0.10-1.fc17
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2012-04-02 13:32:46 UTC
abrt-2.0.10-1.fc17,libreport-2.0.10-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/abrt-2.0.10-1.fc17,libreport-2.0.10-2.fc17

Comment 5 Fedora Update System 2012-04-18 22:58:48 UTC
abrt-2.0.10-1.fc17, libreport-2.0.10-2.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.